aboutsummaryrefslogtreecommitdiffstats
path: root/testing/gtkhtml/APKBUILD
diff options
context:
space:
mode:
authorWilliam Pitcock <nenolod@dereferenced.org>2011-01-23 21:43:26 -0600
committerWilliam Pitcock <nenolod@dereferenced.org>2011-01-23 21:43:26 -0600
commit6b18f2e4ee9b6911b605edeeef64f17341c212c0 (patch)
tree9ff5f4fd67c25202039324969e9307fb295b6a3f /testing/gtkhtml/APKBUILD
parent6dfb88a351c7f1296cd8a754b71756c063d7e2ae (diff)
downloadaports-6b18f2e4ee9b6911b605edeeef64f17341c212c0.tar.gz
aports-6b18f2e4ee9b6911b605edeeef64f17341c212c0.tar.bz2
aports-6b18f2e4ee9b6911b605edeeef64f17341c212c0.tar.xz
testing/gtkhtml: new aport
Diffstat (limited to 'testing/gtkhtml/APKBUILD')
-rw-r--r--testing/gtkhtml/APKBUILD44
1 files changed, 44 insertions, 0 deletions
diff --git a/testing/gtkhtml/APKBUILD b/testing/gtkhtml/APKBUILD
new file mode 100644
index 0000000000..bd00f0aaf6
--- /dev/null
+++ b/testing/gtkhtml/APKBUILD
@@ -0,0 +1,44 @@
+# Contributor: William Pitcock <nenolod@dereferenced.org>
+# Maintainer:
+pkgname=gtkhtml
+pkgver=3.32.1
+pkgrel=0
+pkgdesc="GTK HTML renderer"
+url="http://projects.gnome.org/evolution"
+arch="all"
+license="LGPL"
+depends="iso-codes"
+depends_dev="gtk+-dev libxml2-dev gnome-vfs-dev libxrandr-dev libxau-dev libxi-dev libxt-dev libxrender-dev libxcursor-dev libxdmcp-dev libxcomposite-dev
+ enchant-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="ftp://ftp.gnome.org/pub/gnome/sources/${pkgname}/${pkgver%.*}/${pkgname}-${pkgver}.tar.bz2"
+
+_builddir="${srcdir}/${pkgname}-${pkgver}"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --disable-deprecated-warning-flags \
+ --disable-scrollkeeper || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+
+md5sums="9ee149c26e91fcb9d3ebb8a330ca8362 gtkhtml-3.32.1.tar.bz2"